Search found 8 matches

by rdussin
Wed Mar 14, 2018 5:10 am
Forum: ROMS Tools and Techniques
Topic: Error of installing PyCNAL on conda
Replies: 11
Views: 3385

Re: Error of installing PyCNAL on conda

Hi Mark & Kate, There seem to be several projects (more or less advanced) by people interested in using xarray, dask, esmf,... Our original idea with PyCNAL is to have several modules, based on a PyCNAL-core lib (containing grid objects "a la pyroms") with a module for grid generation, regridding (c...
by rdussin
Wed May 11, 2016 1:35 pm
Forum: ROMS Tools and Techniques
Topic: PYROMS installation
Replies: 40
Views: 19037

Re: PYROMS installation

the griddata function from numpy is not working correctly. I have replaced it by the one from scipy.interpolate the call to the function is a bit different so there is an extra-step here: import scipy.interpolate as scipyint # interpolate new bathymetry lon, lat = np.meshgrid(lons, lats) sizetot_ini...
by rdussin
Wed Jan 15, 2014 1:18 am
Forum: ROMS Discussion
Topic: pyroms maybe need update
Replies: 13
Views: 6721

Re: pyroms maybe need update

try : "which f2py" in a terminal. what happens ?
by rdussin
Mon Jan 13, 2014 3:18 pm
Forum: ROMS Discussion
Topic: pyroms maybe need update
Replies: 13
Views: 6721

Re: pyroms maybe need update

ok first you can fix the problem of libgridgen.so by simply copying it into the directory where pyroms is installed.

second, rename makefile2 as makefile and run "make f2py". What happens ?
by rdussin
Tue Dec 31, 2013 11:09 am
Forum: ROMS Discussion
Topic: pyroms maybe need update
Replies: 13
Views: 6721

Re: pyroms maybe need update

is f2py in your PATH ? what is your python version ? and OS ?
can you copy/paste the section of the makefile for f2py/scrip.so

best,
raphael
by rdussin
Sun Dec 29, 2013 8:42 pm
Forum: ROMS Discussion
Topic: pyroms maybe need update
Replies: 13
Views: 6721

Re: pyroms maybe need update

hi chenzhen,

we also have found out this problem with new versions of matplotlib. The fix is done and is on its way
to github. Regarding the scrip.so, you need to compile scrip with f2py (make f2py).

best,
raphael
by rdussin
Sat Nov 02, 2013 2:10 am
Forum: ROMS Discussion
Topic: d_initial.m problem
Replies: 3
Views: 1864

Re: d_initial.m problem

hi,

We are working on a way to distribute those scripts and examples. In the meantime,
I can send you the scripts if you send me an e-mail to raphael @ esm.rutgers.edu
(no spaces)

best,
raphael
by rdussin
Sun Jun 16, 2013 2:01 am
Forum: ROMS Installation
Topic: Compiling error
Replies: 17
Views: 10419

Re: Compiling error

hi, I think your /usr/bin/nc-config does not belong to the netcdf you have compiled with ifort in /home/fkomijani/NETCDF/ I bet it comes from a precompiled linux package you have installed with apt-get/yum/... most linux distributions have netcdf packages (including dev files) compiled with gcc/gfor...